<?php

class Seo extends CI_Controller {

        var $module = 'seo';
    public function __construct()
    {
        // $this->load does not exist until after you call this
        parent::__construct(); // Construct CI's core so that you can use it

        $this->load->database();
        $this->load->helper('language'); 
        $this->load->library('session'); 
        $this->load->model('Security','security_model');
        $this->load->model('Seo_Model','seo_model'); 
        $this->load->model('Language','language_model');  
         //require_once(APPPATH.'controllers/admin/Security.php'); //include controller
            //$security = new Security();  //create object 
            //$security->permission(); //call function    

        //check user have login or not
        $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
    }
    function index()
    {
        
        $session_id = $this->security_model->getcode();
        //$sess = $this->security_model->admin($session_id);
        //$property = $this->Property->get();
        

        //check user have login or not
        $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
        
        //$data['sess'] = $sess;  
        //$data['property'] = $property;
        $data['module'] = $this->module;
        $data['seo'] = $this->seo_model->get();
        $data['selectedmenu']="seo";
        $this->load->view('admin/seo.php', $data); 
    
    }
    
    function edit()
    {

        echo "1";
        $session_id = $this->security_model->getcode();
        //$this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //$property = $this->Property->get();
        
        echo $this->input->post('save');

        if($this->input->post('save')){
            echo "post save";
            $id = $this->input->post('id');
            
            $arr['title'] = $this->input->post('title');
            $arr['description'] = $this->input->post('description');
            $arr['keywords'] = $this->input->post('keywords');
            $arr['lang'] = $this->input->post('lang');
            
            if($id == false){
                $arr['entered'] = date('Y-m-d H:i:s');
                $id = $this->seo_model->insert($arr);
                header('location:'.base_url().'admin/seo/edit?save=1&id='.$id);
                exit;
            }else{
                $this->seo_model->update($id, $arr);
                header('location:'.base_url().'admin/seo/edit?save=1&id='.$id);
                exit;
            }
        }
        
        $id = $this->input->get('id');
        
        $data['languages'] = $this->language_model->get_all();
        //$data['sess'] = $sess;  
        $data['sess'] = $session_id;  
        //$data['property'] = $property;
        //$data['module'] = $this->module;
        $data['seo'] = $this->seo_model->get_id($id);
        $data['save'] = $this->input->get('save');
        $data['selectedmenu']="seo";    
        $this->load->view('admin/seo_edit_view.php', $data);    
        
    }
    
}

?>